package com.jasamedika.medifirst2000.vo;

import javax.persistence.FetchType;
import javax.persistence.ManyToOne;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class UskomJenisPemeriksaanVO extends BaseTransactionVO{

	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value="Uskom List Pemeriksaan FK")
	private UskomListPemeriksaanVO uskomListPemeriksaan;
	
	@Caption(value="Nilai")
	private String nilai;
	
	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value="Uskom Nilai Normal FK")
	private UskomNilaiNormalVO uskomNilaiNormal;

	public UskomListPemeriksaanVO getUskomListPemeriksaan() {
		return uskomListPemeriksaan;
	}

	public void setUskomListPemeriksaan(UskomListPemeriksaanVO uskomListPemeriksaan) {
		this.uskomListPemeriksaan = uskomListPemeriksaan;
	}

	public String getNilai() {
		return nilai;
	}

	public void setNilai(String nilai) {
		this.nilai = nilai;
	}

	public UskomNilaiNormalVO getUskomNilaiNormal() {
		return uskomNilaiNormal;
	}

	public void setUskomNilaiNormal(UskomNilaiNormalVO uskomNilaiNormal) {
		this.uskomNilaiNormal = uskomNilaiNormal;
	}
	
}
